#!/bin/bash
# 
# Environment script for CSPP_MIRS
#
# N.B.  User is responsible for lftp in $PATH (unless --quarantine)
#
#module purge
#
# This is how built on thunder, so any dynamic-linked executables
# will need libraries obtained from these modules
#
#module load license_intel intel/16.0.4 hdf/4.2.12 szip/2.1 hdf5/1.8.17 \
#  netcdf4/4.4.1 hdfeos2/2.19
#
# EDIT THIS VARIABLE TO POINT YOUR INSTALLATION. For example,
#
# install_dir=/data/jimd/CSPP_MIRS_2_2

install_dir=/data/jimd/CSPP_MIRS_2_2


# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
#                                                             #
#  There is nothing for the user to modify below this point   #
#                                                             #
# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
#
# Suppress HDF5 version warnings
#
export HDF5_DISABLE_VERSION_CHECK=2

test -n "$CSPP_MIRS_HOME" || export CSPP_MIRS_HOME=$install_dir
test -n "$CSPP_MIRS_REVNAME" || export PATH=$CSPP_MIRS_HOME/scripts:$PATH

#
# This is the revision from NOAA/STAR modified for CSPP
#
#export CSPP_MIRS_REVNAME=mirs_v11r1_r3636
#export CSPP_MIRS_REVNAME=mirs_v11r3_r4097
export CSPP_MIRS_REVNAME=mirs_v11r3_r4112


# Check if we think environment is correct
version=$CSPP_MIRS_HOME/$CSPP_MIRS_REVNAME
test -d "$version" || echo "CSPP_MIRS environment improperly set"
test -d "$version" || echo "Exit shell, edit cspp_mirs_env.sh and source it"
test -d "$version" && export CSPP_MIRS_REVDATE=20190205
